package com.bonus.canteen.core.device.manage.model.metadata;

import java.io.Serializable;

public class PassengerFlowMetadata extends BaseMetadate implements Serializable {
   private Integer smartListener;
   private String backNvrChannel;
   private String cameraMsUser;
   private String cameraMsPassword;
   private String useScene;
   private Integer maximumCapacity;

   public Integer getSmartListener() {
      return this.smartListener;
   }

   public String getBackNvrChannel() {
      return this.backNvrChannel;
   }

   public String getCameraMsUser() {
      return this.cameraMsUser;
   }

   public String getCameraMsPassword() {
      return this.cameraMsPassword;
   }

   public String getUseScene() {
      return this.useScene;
   }

   public Integer getMaximumCapacity() {
      return this.maximumCapacity;
   }

   public void setSmartListener(final Integer smartListener) {
      this.smartListener = smartListener;
   }

   public void setBackNvrChannel(final String backNvrChannel) {
      this.backNvrChannel = backNvrChannel;
   }

   public void setCameraMsUser(final String cameraMsUser) {
      this.cameraMsUser = cameraMsUser;
   }

   public void setCameraMsPassword(final String cameraMsPassword) {
      this.cameraMsPassword = cameraMsPassword;
   }

   public void setUseScene(final String useScene) {
      this.useScene = useScene;
   }

   public void setMaximumCapacity(final Integer maximumCapacity) {
      this.maximumCapacity = maximumCapacity;
   }

}
